%define base gtk-engines

Name: %base-default
Version: 2.2.0
Release: alt2.4

Summary: Default GTK+2 theme engines
License: GPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/gnome/source/%name/%base-%version.tar.bz2
Url: http://gtk.themes.org/

Obsoletes: %base
Provides: %base = %version-%release

%define gtk_ver 2.2.0

Requires: %base-metal = %version-%release
Requires: %base-pixmap = %version-%release
Requires: %base-redmond95 = %version-%release

BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Sat Jan 18 2003
BuildRequires: glib2-devel glibc-devel-static libatk-devel libgtk+2-devel libpango-devel pkgconfig

%description
These are the graphical engines for the various GTK+2 toolkit themes.
This package provides three sample theme engines:

Pixmap: A generic engine that renders using pixmaps.
Metal: A fairly complete theme engine that looks like the Java-Metal
look of Swing.
Redmond95: A simple theme engine that looks a bit like Microsoft Windows 95.

%package -n %base-metal
Summary: Default GTK+2 theme engine - Metal
Group: Graphical desktop/GNOME
Requires: libgtk+2 >= %gtk_ver

%description -n %base-metal
A fairly complete theme engine that looks like the Java-Metal look of
Swing.

%package -n %base-pixmap
Summary: Default GTK+2 theme engine - Pixmap
Group: Graphical desktop/GNOME
Requires: libgtk+2 >= %gtk_ver

%description -n %base-pixmap
A generic GTK+2 theme engine that renders using pixmaps.

%package -n %base-redmond95
Summary: Default GTK+2 theme engine - Redmond95
Group: Graphical desktop/GNOME
Requires: libgtk+2 >= %gtk_ver

%description -n %base-redmond95
A simple theme engine that looks a bit like Microsoft Windows 95.

%package devel
Summary: Development files for %base
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver

%description devel
This package contains development files for %base

%prep
%setup -q -n %base-%version

%build
%configure
%make_build

%install
%makeinstall

%files
%doc AUTHORS README ChangeLog

%files -n %base-metal
%_libdir/gtk-2.0/*/engines/libmetal.so
%_datadir/themes/Metal/*
%doc metal/ChangeLog
%doc metal/Theme/README*

%files -n %base-redmond95
%_libdir/gtk-2.0/*/engines/libredmond95.so
%_datadir/themes/Redmond95/*
%doc redmond95/ChangeLog
%doc redmond95/Theme/README*

%files -n %base-pixmap
%_libdir/gtk-2.0/*/engines/libpixmap.so

%files devel
%_libdir/gtk-2.0/*/engines/*.la
%_libdir/pkgconfig/*

%changelog
* Sat Jan 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.4
- 2.2.0
- devel subpackage.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2
- Package renamed.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt1
- First build for Sisyphus.
